## le-dico-de-rene-cougnenc 1.1.4

=== src/Makefile ===

prefix = /usr

dico:
	gcc dico.c -o dico
	gcc killposte.c -o killposte

clean:
	rm -fr *~ dico killposte *.1 manpage.links manpage.refs

install: dico
	mkdir -p $(prefix)/bin
	cp dico $(prefix)/bin
	cp killposte $(prefix)/bin
	mkdir -p $(prefix)/share/dico-cougnenc
	cp ../lexique/dictionnaire.dic $(prefix)/share/dico-cougnenc
	cp ../lexique/version.dic $(prefix)/share/dico-cougnenc
	docbook2man ../manuel/killposte.sgml
	mkdir -p $(prefix)/share/man/fr/man1
	cp ../manuel/*.1 $(prefix)/share/man/fr/man1
	cp *.1 $(prefix)/share/man/fr/man1

=== debian/changelog ===
le-dico-de-rene-cougnenc (1.1.4) unstable; urgency=low

  * Chang "moutoux 39300" en "le moutoux 39300"

 -- Christian Marillat <marillat@debian.org>  Mon, 21 Oct 2002 22:16:27 +0200

le-dico-de-rene-cougnenc (1.1.3) unstable; urgency=low

  * Mise  jour des codes postaux pour Yutz, Kuntzig, Illange et Stuckange
    57970  la place de 57110

 -- Christian Marillat <marillat@debian.org>  Fri, 27 Sep 2002 20:51:35 +0200

le-dico-de-rene-cougnenc (1.1.2) unstable; urgency=low

  * Switch sgml to docbook 4.1
  * Use docbook2man instead of docbook-to-man
  * Use only one big dictionnary file.
  * Move killposte in le-dico-de-rene-cougnenc and remove the
    le-dico-de-rene-cougnenc-outils package and add Conflicts.
  * Move dictionnary in /usr/share/dico-cougnenc

 -- Christian Marillat <marillat@debian.org>  Wed,  3 Oct 2001 23:41:47 +0200

le-dico-de-rene-cougnenc (1.1.1) unstable; urgency=low

  * Number version: This is a native debian package.
  * Switch to debhelper V3
  * Fix a typo in le-dico-de-rene-cougnenc package (Thanks to Charles Goyard)

 -- Christian Marillat <marillat@debian.org>  Mon,  2 Jul 2001 14:19:14 +0200

le-dico-de-rene-cougnenc (1.1-3) unstable; urgency=low

  * Add Replaces le-dico-cougnenc.

 -- Christian Marillat <marillat@debian.org>  Wed, 25 Apr 2001 00:35:24 +0200

le-dico-de-rene-cougnenc (1.1-2) unstable; urgency=low

  * Include dedicace to Ren Cougnenc.
    Thanks to Christian Perrier <Christian.Perrier@onera.fr>

 -- Christian Marillat <marillat@debian.org>  Mon, 23 Apr 2001 15:23:02 +0200

le-dico-de-rene-cougnenc (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Christian Marillat <marillat@debian.org>  Thu, 12 Apr 2001 17:37:10 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: le-dico-de-rene-cougnenc
Section: text
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Standards-Version: 3.5.7
Build-Depends: debhelper (>> 3.0.0), docbook-utils

Package: le-dico-de-rene-cougnenc
Architecture: any
Depends: ${shlibs:Depends}
Replaces: le-dico-cougnenc
Conflicts: le-dico-de-rene-cougnenc-outils
Description: Le Dico par Ren Cougnenc
 Plus de 100.000 elements comportant noms communs, verbes, adjectifs,
 conjugaisons et pluriels complexes, ainsi que les principaux CODES POSTAUX,
 FRANCAIS, soigneusement elabores par un collectif d'utilisateurs de BBS
 Francais, et mis en DOMAINE PUBLIC au format ASCII ACCENTUE dans la mesure
 du possible, avec soit le jeu IBM pour MS/DOS, soit le jeu ISO 8859-1 pour
 les autres systemes.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

package := $(shell sed -n 's/Package: \(.*\)/\1/p' debian/control | head -1)

build: build-stamp
build-stamp:
	dh_testdir

	-$(MAKE) -C src

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) -C src clean

	dh_clean manpage.refs manpage.links

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A usr/share/man/fr/man1

	$(MAKE) -C src install prefix=`pwd`/debian/${package}/usr

	dh_movefiles --sourcedir=debian/${package}

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -A README.TXT dedicace.txt
#	dh_installexamples
#	dh_installmenu
#	dh_installman
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## le-dico-de-rene-cougnenc 1.2

=== src/Makefile ===

prefix = /usr

dico: dico.c killposte.c
	gcc dico.c -o dico
	gcc killposte.c -o killposte

clean:
	rm -fr *~ dico killposte *.1 manpage.links manpage.refs

install: dico
	mkdir -p $(prefix)/bin
	cp dico $(prefix)/bin
	cp killposte $(prefix)/bin
	mkdir -p $(prefix)/share/dico-cougnenc
	cp ../lexique/*.dic $(prefix)/share/dico-cougnenc
	docbook2man ../manuel/killposte.sgml
	mkdir -p $(prefix)/share/man/fr/man1
	cp ../manuel/*.1 $(prefix)/share/man/fr/man1
	cp *.1 $(prefix)/share/man/fr/man1

## le-dico-de-rene-cougnenc 1.3

=== src/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 clean:
 	rm -fr *~ dico killposte *.1 manpage.links manpage.refs
+	rm ../manuel/killposte.1 ../manuel/manpage.links ../manuel/manpage.refs
 
 install: dico
 	mkdir -p $(prefix)/bin
@@ -15,6 +16,10 @@
 	mkdir -p $(prefix)/share/dico-cougnenc
 	cp ../lexique/*.dic $(prefix)/share/dico-cougnenc
 	docbook2man ../manuel/killposte.sgml
+	docbook2man ../manuel/killposte.en.sgml -o ../manuel
 	mkdir -p $(prefix)/share/man/fr/man1
-	cp ../manuel/*.1 $(prefix)/share/man/fr/man1
+	mkdir -p $(prefix)/share/man/man1
+	cp ../manuel/dico.1 $(prefix)/share/man/fr/man1
+	cp ../manuel/dico.en.1 $(prefix)/share/man/man1/dico.1
+	cp ../manuel/killposte.1 $(prefix)/share/man/man1
 	cp *.1 $(prefix)/share/man/fr/man1

## le-dico-de-rene-cougnenc 1.4

=== Makefile ===
DESTDIR =
SUBDIRS = src manuel

all:
	for d in $(SUBDIRS); do $(MAKE) -C $$d $@ DESTDIR=$(DESTDIR); done

clean:
	for d in $(SUBDIRS); do $(MAKE) -C $$d $@ DESTDIR=$(DESTDIR); done

install:
	for d in $(SUBDIRS); do $(MAKE) -C $$d $@ DESTDIR=$(DESTDIR); done

.PHONY: all clean install

=== manuel/Makefile ===
DESTDIR =


all:
	docbook2man killposte.sgml
	docbook2man killposte.en.sgml

clean:
	rm -f killposte.1 manpage.links manpage.refs

install:
	mkdir -p $(DESTDIR)/usr/share/man/fr/man1
	mkdir -p $(DESTDIR)/usr/share/man/man1
	cp dico.1 $(DESTDIR)/usr/share/man/fr/man1
	cp dico.en.1 $(DESTDIR)/usr/share/man/man1/dico.1
	cp killposte.1 $(DESTDIR)/usr/share/man/man1

.PHONY: all clean install

=== src/Makefile ===
DESTDIR =

all: dico

dico: dico.c killposte.c
	$(CC) -g -O2 dico.c -o dico
	$(CC) -g -O2 killposte.c -o killposte

clean:
	rm -fr *~ dico killposte

install:

.PHONY: all clean install

=== debian/changelog ===
le-dico-de-rene-cougnenc (1.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Remove settings that caused FTBFS on !x86.
    (Closes: #1113893)
  * Fix FTBFS with GCC 15. (Closes: #1097156)

 -- Adrian Bunk <bunk@debian.org>  Sat, 20 Sep 2025 22:47:07 +0300

le-dico-de-rene-cougnenc (1.4-3) unstable; urgency=medium

  * renamed dico to dico-rc and dico.1.gz to dico-rc.1.gz in order
    to avoid breakin the package dico

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 02 Sep 2025 19:44:56 +0200

le-dico-de-rene-cougnenc (1.4-2) unstable; urgency=medium

  * bumped stadards-version to 4.7.2
  * added Vcs stuff in debian/control
  * added a build-dependency on docbook
  * added CI stuff for Salsa (file d/salsa-ci.yml)
  * added hardening definitions in d/rules
  * patched src/Makefile

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 02 Sep 2025 17:07:41 +0200

le-dico-de-rene-cougnenc (1.4-1) unstable; urgency=medium

  * Modified the source package:
    + converted lexique/*.dic to utf-8 charset; Closes: #852972
    + applied Helmut Grohne's patch, thanks! ; Closes: #988364
      Fix FTCBFS
      + Let dh_auto_build pass cross tools to make.
      + Make gcc substitutable.
  * added -g -O2 flags to compile C sources
  * recoded dedicace.txt to UTF-8
  * added .h files; fixed most prominent C errors
  * removed the use of latin-1 from dico's source code
  * Added myself to the list of uploaders. Closes: #992803
  * changed the source format to 3.0 (quilt)
  * upgraded Standards-Version: 4.6.0, debhelper-compat (=13)
  * added "French dictionary" to the short package description.
    Closes: #851295
  * recoded d/copyright to utf-8; changed the format of d/copyright
    to copyright-format/1.0
  * removed the article in the short description,
    signaled the conversion to UTF-8

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Aug 2021 18:30:51 +0200

le-dico-de-rene-cougnenc (1.3-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with debug info to make dbgsym package usable.
  * Avoid segfault by undefined behaviour. (Closes: #852659)

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Wed, 08 Feb 2017 22:03:54 +0100

le-dico-de-rene-cougnenc (1.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Ubuntu with the following changes:
    * debian/rules:
      - Remove legacy DH_COMPAT export.
      - Use dh_prep instead of deprecated dh_clean -k.
    * debian/compat: Specify compatibility level of 9. (Closes: #800206)
    * debian/control:
      - Build-depend on debhelper (>= 9).
      - Depend on ${misc:Depends}.

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 20:03:24 +0200

le-dico-de-rene-cougnenc (1.3-2.1) unstable; urgency=high

  * NMU.
  * Urgency set to high due to bug #401566
  * Fix a segfault on 64-bit arches. Closes: #401566.
  * Remove "Acceuillant" from the list of words. Closes: #321142.
  * Add support for GNU/kFreeBSD. Closes: #332998.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 14:46:40 +0100

le-dico-de-rene-cougnenc (1.3-2) unstable; urgency=low

  * Change Guingampois to Guingampais. Closes: #315607

 -- Eric Madesclair <eric-m@wanadoo.fr>  Tue, 5 Jul 2005 17:38:08 +0200
 

le-dico-de-rene-cougnenc (1.3-1) unstable; urgency=low

  * New upstream version
  	- Support for various charset (input and display). Closes: #290812
  * Addition English man page for dico and killposte.

 -- Eric Madesclair <eric-m@wanadoo.fr>  Fri, 4 Mar 2005 17:38:08 +0100

le-dico-de-rene-cougnenc (1.2-1) unstable; urgency=low

  * Replacement of a non-ASCII character in the short description. Closes: #260577
  *	New upstream version
  	- Reorganization of the data files in /usr/share/dico-cougnenc 	Closes: #260540

 --  <eric-m@wanadoo.fr>  Tue, 17 Aug 2004 04:30:55 +0200

le-dico-de-rene-cougnenc (1.1.5-1) unstable; urgency=low

  * First release with new maintener. Closes: #237314

 -- Eric Madesclair <eric-m@wanadoo.fr>  Sat, 24 Apr 2004 20:38:08 +0200
   

=== debian/control ===
Source: le-dico-de-rene-cougnenc
Section: text
Priority: optional
Maintainer: Eric Madesclair <eric-m@wanadoo.fr>
Uploaders: Georges Khaznadar <georgesk@debian.org>
Build-Depends:
 debhelper-compat (=13),
 docbook-utils,
 docbook
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/georgesk/le-dico-de-rene-cougnenc
Vcs-Git: https://salsa.debian.org/georgesk/le-dico-de-rene-cougnenc.git


Package: le-dico-de-rene-cougnenc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: features "Dico" (French dictionary), by Rene Cougnenc
 Le-dico-de-rene-coungnec is a French dictionary. 
 This dictionary contains more than 100,000 words
 like nouns, verbs, conjugations, adjectives and complex 
 plural forms as well as the name and the postal code of
 the French cities.
 .
 This list has been carefully elaborated by a team of 
 French BBS users and put in the public domain in 
 accented ASCII format either using the IBM MS/DOS 
 charset or the ISO-8859-1 charset for other systems.
 .
 More recently encoding has been set to UTF-8.
